%define perl_major_ver %(eval `perl -V:version`; echo ${version%*.[0-9]*}.0)

Name:          perl-BSD-Resource
Version:       1.2908
Release:       1mamba
Summary:       BSD::Resource - implements BSD process resource limit functions
Group:         System/Libraries/Perl
Vendor:        openmamba
Distribution:  openmamba
Packager:      Silvan Calarco <silvan.calarco@mambasoft.it>
URL:           http://www.cpan.org
Source:        http://www.cpan.org/authors/id/J/JH/JHI/BSD-Resource-%{version}.tar.gz
License:       GPL, Artistic
Requires(post):%{__install_info}
Requires:      perl >= %perl_major_ver
## AUTOBUILDREQ-BEGIN
BuildRequires: glibc-devel
BuildRequires: perl-devel
BuildRequires: texinfo
## AUTOBUILDREQ-END
BuildRoot:     %{_tmppath}/%{name}-%{version}-root

%description
This Perl extension implements the BSD process resource limit functions

	getrusage()	getrlimit()	setrlimit()

and the BSD process priority functions.  These are available also via
core Perl but here we do more tricks so that the PRIO_* are available.

	getpriority()	setpriority()

Also is provided

	times()

which provides the same functionality as the one in core Perl, only
with better time resolution.

%prep
%setup -q -n BSD-Resource-%{version}

%build
perl Makefile.PL PREFIX=%{_prefix} INSTALLDIRS=vendor
%make
%make test

%install
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
%makeinstall_perl
packlist=`find %{buildroot} -name .packlist`
[ -z "$packlist" ] && exit 1 || cat $packlist | \
   sed "s,%buildroot,,g;s,.*/man/.*,&.gz,g" | \
   sort -u > .packlist && rm $packlist

strid=`echo $packlist | sed 's,.*auto\(.*\)/.packlist,\1,'`
for dir in `find %{buildroot} -type d | grep $strid`; do
   echo "%dir ${dir#%buildroot}" >> .packlist
done

%clean
[ "%{buildroot}" != / ] && rm -rf "%{buildroot}"
rm -f .packlist

%files -f .packlist
%defattr(-,root,root)

%changelog
* Sat Nov 07 2015 Automatic Build System <autodist@mambasoft.it> 1.2908-1mamba
- automatic update by autodist

* Mon Aug 12 2013 Automatic Build System <autodist@mambasoft.it> 1.2907-1mamba
- automatic update by autodist

* Wed Jun 26 2013 Automatic Build System <autodist@mambasoft.it> 1.2905-1mamba
- automatic version update by autodist

* Wed Nov 07 2012 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2904-2mamba
- perl 5.16 mass rebuild

* Tue Apr 13 2010 Automatic Build System <autodist@mambasoft.it> 1.2904-1mamba
- automatic update by autodist

* Tue Apr 14 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2903-1mamba
- automatic update by autodist

* Thu Feb 05 2009 Silvan Calarco <silvan.calarco@mambasoft.it> 1.2902-1mamba
- automatic update by autodist

* Mon Nov 03 2008 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28-2mamba
- automatic rebuild by autodist

* Thu Nov 15 2007 Silvan Calarco <silvan.calarco@mambasoft.it> 1.28-1mamba
- package created by autospec
